Endpoints for managing attachments on a signature request.
Add an attachment to a signature request
Use this endpoint to provide supplementary documents (for example, Terms &
Conditions or appendices) to participants of a SignatureRequest.
Attachments are delivered to participants together with the
SignatureRequest.
Content type limits: The Skribble API accepts PDF files, image files, Microsoft Office files, and plain text files.
Allowed content types:
- application/pdf
- application/x-tika-msoffice
- application/x-tika-ooxml
- application/msword
- application/vnd.openxmlformats-officedocument.wordprocessingml.document
- application/vnd.ms-word.document.macroEnabled.12
- application/vnd.ms-excel
- application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
- application/vnd.ms-excel.sheet.macroenabled.12
- application/vnd.ms-powerpoint
- application/vnd.openxmlformats-officedocument.presentationml.presentation
- application/vnd.ms-powerpoint.presentation.macroEnabled.12
- image/gif
- image/jpeg
- image/png
- text/plain
Content size limits: The maximum size of a single attachment is approximately 40 MB. The maximum request size is 60 MB.
Amount limits: There is currently no limit on the number of attachments per SignatureRequest. Abuse of this service may result in enforced limits.
path Parameters
SR_IDUnique ID received when creating the Signature Request object
Add an attachment to a signature request › Request Body
filenameFile name of the attachment.
content_typeContent type of the attachment. Supported types:
application/pdf, application/x-tika-msoffice, application/x-tika-ooxml,
application/msword, application/vnd.openxmlformats-officedocument.wordprocessingml.document,
application/vnd.ms-word.document.macroEnabled.12, application/vnd.ms-excel,
application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
application/vnd.ms-excel.sheet.macroenabled.12, application/vnd.ms-powerpoint,
application/vnd.openxmlformats-officedocument.presentationml.presentation,
application/vnd.ms-powerpoint.presentation.macroEnabled.12,
image/gif, image/jpeg, image/png, text/plain
contentBase64 encoded bytes of the attachment.
Add an attachment to a signature request › Responses
OK
idtitlemessagedocument_idlegislationLegislation under which the signatures are created. Required when quality is QES or AES_MINIMAL.
| Legislation | Description |
|---|---|
| ZERTES | QES according to Swiss law. This is the default. |
| EIDAS | QES according to EU law. |
qualityMinimal quality of the signatures for this signature request.
| Quality | Description |
|---|---|
| QES | Every signer must use QES. This is the default quality. Requires a legislation parameter. |
| AES | Signers will use AES if available, otherwise fall back to QES. |
| AES_MINIMAL | Signers will use QES if available, otherwise AES. At least AES is guaranteed. Requires a legislation parameter. |
| SES | Every signer uses SES. |
| DEMO | Every signer uses a DEMO signature with no legal binding. API demo users (api_demo_example_*) get this quality by default. |
| PART11 | Signers use a signature compliant with 21 CFR Part 11 regulations. |
signing_urlThe URL for the SignatureRequest owner to view and manage the request in the Skribble web application. This URL is not intended for signers — each signer has their own dedicated signing_url within the signatures array.
status_overallOverall signing status of the document.
Possible values:
- OPEN At least one user has not signed or declined their signature yet.
- DECLINED At least one user declined to sign. The signature request failed.
- WITHDRAWN The owner has withdrawn the signature request.
- SIGNED All users signed the document. The signature request was successfully completed.
- EXPIRED The owner-set
expires_atdate has passed before all signers signed. Terminal status. - ERROR A technical error occurred. The signature request cannot be completed.
businesscc_email_addressesauto_delete_atServer-managed date on which this signature request and its related documents are automatically
deleted in line with the owning business's retention policy. Not directly settable by API clients.
May be absent or null when no retention policy applies.
expires_atOwner-set expiry date for this signature request. When this date passes, the request
transitions to status_overall=EXPIRED. Set via expires_at at create time.
Absent or null when no owner-set expiry has been configured.
attach_on_successWhen a SignatureRequest has been signed by all signers, all signers and all observers are notified by email. Skribble provides the option to attach two types of attachments automatically to this email:
- the signed document and
- the signature protocol.
This can be configured via the business settings, which can be used to define that these documents should generally be attached for all SignatureRequests created by business members.
Alternatively it is possible to define the attachments on demand per SignatureRequest by using this field.
customCustom field for storing application-specific data related to this signature request.
ownerread_accessUsers or API keys with read access to this signature request.
write_accessUsers or API keys with write access to this signature request.
created_atupdated_atcallback_success_urlCallback URL called on overall success. See the request schema for supported placeholders and retry behaviour.
callback_error_urlCallback URL called when a signer declines or the request is withdrawn. See the request schema for supported placeholders and retry behaviour.
callback_update_urlCallback URL called on any update (e.g. one signer signed). See the request schema for supported placeholders and retry behaviour.
callback_start_sign_urlCallback URL called when a signer starts the signature process (only for xQES). See the request schema for supported placeholders and retry behaviour.
callback_ident_pending_urlCallback URL called when the identification of a signer requires manual review. See the request schema for supported placeholders and retry behaviour.
callback_ident_error_urlCallback URL called when the identification of a signer ends in an error. See the request schema for supported placeholders and retry behaviour.
Get Signature Attachment content
Downloads the content of the attachment identified by ATTACHMENT_ID
for the SignatureRequest with the ID SR_ID.
path Parameters
SR_IDUnique ID received when creating the Signature Request object
ATTACHMENT_IDUnique ID returned when the Signature Attachment is created.
Get Signature Attachment content › Responses
Binary attachment content.
Remove an attachment from a signature request
Deletes the attachment identified by ATTACHMENT_ID from the
SignatureRequest with the ID SR_ID.
path Parameters
SR_IDUnique ID received when creating the Signature Request object
ATTACHMENT_IDUnique ID returned when the Signature Attachment is created.
Remove an attachment from a signature request › Responses
OK
